Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.common
Class RoleInfo

    java.lang.Object
      |
      +--com.bea.wlpi.common.RoleInfo

public final class RoleInfo
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable, Publishable

Holds information about a workflow role.

Objects of this class override the `boolean equals(Object)` and implement the `comparable` interface. Homogeneous collections containing objects of this class may, therefore, be searched and sorted using the `Collection.contains(Object), List.indexOf(Object), Collections.sort(List)` methods.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`RoleInfo(java.lang.String roleId, java.lang.String orgId)` Create a new `RoleInfo` object.
`RoleInfo(java.lang.String roleId, java.lang.String orgId, java.lang.String calendarId)` Create a new `RoleInfo` object.
`RoleInfo(java.lang.String roleId, java.lang.String orgId, java.lang.String calendarId, java.lang.String groupId)` Create a new `RoleInfo` object.

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare two `RoleInfo` objects.
`boolean` | `equals(java.lang.Object obj)` Test two `RoleInfo` objects for equality.
`java.lang.String` | `getCalendarId()` Return the business calendar to use.
`java.lang.Object` | `getContents()`
`java.lang.String` | `getEntryName()`
`java.lang.String` | `getGroupId()` Return the WLS security group this role maps to.
`java.lang.String` | `getOrgId()` Return the organization within which the role is defined.
`java.lang.String` | `getOwnerName()`
`java.util.List` | `getReferencedPublishables(java.util.Map publishables)`
`java.lang.String` | `getRoleId()` Return the role ID.
`int` | `getType()`
`boolean` | `isPublished()`
`void` | `publish()`
`void` | `setCalendarId(java.lang.String calendarId)` Set the business calendar to use.
`void` | `setGroupId(java.lang.String groupId)` Set the WLS group this role maps to.
`java.lang.String` | `toString()` Return a string representation of the object.
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RoleInfo

    public RoleInfo(java.lang.String roleId,
                    java.lang.String orgId)

  Create a new `RoleInfo` object.

  Parameters:
    `roleId` - The role ID.
    `orgId` - The ID of the organization within which the role is defined by the external security realm.

### RoleInfo

    public RoleInfo(java.lang.String roleId,
                    java.lang.String orgId,
                    java.lang.String calendarId)

  Create a new `RoleInfo` object.

  Parameters:
    `roleId` - The role ID.
    `orgId` - The ID of the organization within which the role is defined by the external security realm.
    `calendarId` - The ID of the business calendar to use when performing business time interval calculations for the role.

### RoleInfo

    public RoleInfo(java.lang.String roleId,
                    java.lang.String orgId,
                    java.lang.String calendarId,
                    java.lang.String groupId)

  Create a new `RoleInfo` object.

  Parameters:
    `roleId` - The role ID.
    `orgId` - The ID of the organization within which the role is defined by the external security realm.
    `calendarId` - The ID of the business calendar to use when performing business time interval calculations for the role.
    `groupId` - The WLS security group that this role maps to.

Method Detail

### getRoleId

    public final java.lang.String getRoleId()

  Return the role ID.

  Returns:
    The role ID.

### getOrgId

    public final java.lang.String getOrgId()

  Return the organization within which the role is defined.

  Returns:
    The ID of the organization within which the role is defined.

### getCalendarId

    public final java.lang.String getCalendarId()

  Return the business calendar to use.

  Returns:
    The ID of the business calendar.
  See Also:
    `setCalendarId(java.lang.String)`

### getGroupId

    public final java.lang.String getGroupId()

  Return the WLS security group this role maps to.

  Returns:
    The WLS security group name
  See Also:
    `setGroupId(java.lang.String)`

### setCalendarId

    public final void setCalendarId(java.lang.String calendarId)

  Set the business calendar to use.

  Parameters:
    `calendarId` - The ID of the business calendar.
  See Also:
    `getCalendarId()`

### setGroupId

    public final void setGroupId(java.lang.String groupId)

  Set the WLS group this role maps to. This will not update the mapping that must be done through the proper API. This is an internal only method

  Returns:
    The WLS security group name
  See Also:
    `setGroupId(java.lang.String)`

### equals

    public boolean equals(java.lang.Object obj)

  Test two `RoleInfo` objects for equality.

  Parameters:
    `obj` - Object with which to compare this one.
  Returns:
    `true` if `obj` is an instance of `RoleInfo` with the same role ID and organization ID as this one.
  Overrides:
    equals in class java.lang.Object
  See Also:
    `compareTo(java.lang.Object)`

### compareTo

    public int compareTo(java.lang.Object o)

  Compare two `RoleInfo` objects.
  Specified by:
    compareTo in interface java.lang.Comparable

  Parameters:
    `obj` - Object with which to compare this one. Must be `null` or an instance of `RoleInfo`.
  Returns:
    The result of comparing the `roleId` and `orgId` members using the `String.compareTo(Object)` method.
  Throws:
    java.lang.ClassCastException - if `o` is not an instance of `RoleInfo`.
  See Also:
    `equals(java.lang.Object)`

### getContents

    public java.lang.Object getContents()

  Specified by:
    getContents in interface Publishable

### getEntryName

    public java.lang.String getEntryName()

  Specified by:
    getEntryName in interface Publishable

### getType

    public int getType()

  Specified by:
    getType in interface Publishable

### getOwnerName

    public java.lang.String getOwnerName()

  Specified by:
    getOwnerName in interface Publishable

### toString

    public java.lang.String toString()

  Return a string representation of the object.

  Returns:
    String representation, showing the values of members.
  Overrides:
    toString in class java.lang.Object
  Since:
    WebLogic Process Integrator 2.0

### toXML

    public java.lang.String toXML()

### isPublished

    public boolean isPublished()

  Specified by:
    isPublished in interface Publishable

### getReferencedPublishables

    public java.util.List getReferencedPublishables(java.util.Map publishables)

  Specified by:
    getReferencedPublishables in interface Publishable

### publish

    public void publish()

  Specified by:
    publish in interface Publishable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)